pdumodel::PowerMeter_1_1_5::Settings Struct Reference

Power meter settings. More...

`import"PowerMeter.idl";`

## Public Attributes

string | name
| User-defined name.
int | currentRating
| Current rating in Amps.
int | phaseCtRating
| Phase current transformer rating in Amps (0 for none)
int | neutralCtRating
| Neutral current transformer rating in Amps (0 for none)
int | earthCtRating
| P.E. current transformer rating in Amps (0 for none)
int | modbusUnitAddress
| Modbus unit address (1..255, 0 to disable Modbus for this meter)

## Detailed Description

Power meter settings.

The documentation for this struct was generated from the following file:

- pdu-json-rpc-api/idl/PowerMeter.idl